[book]
title = "The Element-Call Book"
description = "Element Call - the world’s first decentralised voice and video conferencing solution powered entirely by Matrix!"
authors = [
	"Ralf Zerres <ralf.zerres@mail.de>",
	"with Contributions from the Rust Community"
]
language = "en"

[rust]
edition = "2021"

[build]
create-missing = false

[output.html]
additional-css = ["ferries.css", "theme/2020-edition.css"]
additional-js = ["ferries.js"]
#additional-js = ["ferries.js", "mermaid.min.js", "mermaid-init.js"]
cname = "element-call-book.rs"
copy-fonts = true
smart-punctuation = true
default-theme = "light"
edit-url-template = "https://gitea.networkx.de/rzerres/element-call/tree/main/book/{path}"
git-repository-url = "https://gitea.networkx.de/rzerres/element-call/tree/main/book/{path}"
git-repository-icon = "fa-github"
input-404 = "404.md"
prefered-dark-theme = "navy"
mathjax-support = true

[output.html.fold]
enable = true
level = 0

[output.html.playground]
editable = true
line-numbers = true

[output.html.redirect]
"/format/config.html" = "configuration/index.html"

[output.html.search]
limit-results = 20
use-boolean-and = true
boost-title = 2
boost-hierarchy = 2
boost-paragraph = 1
expand = true
heading-split-level = 2

[output.linkcheck]
## Should we check links on the internet? Enabling this option adds a
## non-negligible performance impact
#follow-web-links = false

## Are we allowed to link to files outside of the book's root directory? This
## may help prevent linking to sensitive files (e.g. "../../../../etc/shadow")
#traverse-parent-directories = true

[preprocessor]

[preprocessor.mermaid]
command = "mdbook-mermaid"

[language.en]
name = "English"

[language.de]
name = "Deutsch"
title = "Das Element-Call Buch"
description = "Element-Call - die weltweit erste dezentralisierte Sprach- und Video-Konferenz Lösung, die vollständing auf Matrix aufbaut."
